<?php

namespace Modules\Admin\Config\SupplierInvoicesPayments\DocsList;

use \App\Mvc\View\Utils\Types\ListingColumns;
use \App\Mvc\View\Utils\Types\ListingColumn;

class View_List extends \App\Mvc\View_Window_PaginatedListing_ListAbstract
{
	/**
	 * Results per page list
	 * @see \App\Mvc\\App\Mvc\View_Window_PaginatedListing_ListAbstract::$resultsPerPageList
	 */
	protected $resultsPerPageList = [5, 10, 15, 20, 25, 30, 50, 100, PHP_INT_MAX];

	/**
	 * (non-PHPdoc)
	 * @see \App\Mvc\\App\Mvc\View_Window_PaginatedListing_ListAbstract::list_getThDetails()
	 */
	protected function list_getThDetails()
	{

		return ListingColumns::create()
			->append(
				ListingColumn::create('id')
			)
			->append(
				ListingColumn::create('name')
			)
			->append(
				ListingColumn::create('sign')
			)
			->append(
				ListingColumn::create('number')
			)
			->append(
				ListingColumn::create('bankAccount')
			)
			->append(
				ListingColumn::create('explanations')
			)
			->append(
				ListingColumn::create('comments')
			)

		->loadLabels($this->lang['index']['listCols'])
		->loadSettings($this->input['listingParams']->getDynamicColumnsSettings());
	}

}
